Package org.bukkit

# Enum Class SkullType

java.lang.Object
java.lang.Enum<SkullType>
org.bukkit.SkullType

All Implemented Interfaces:
  `Serializable`, `Comparable<SkullType>`, `Constable`

@Deprecated public enum SkullType extends Enum<SkullType>
Deprecated.
check `Material` instead
Represents the different types of skulls.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CREEPER`
Deprecated.
`DRAGON`
Deprecated.
`PLAYER`
Deprecated.
`SKELETON`
Deprecated.
`WITHER`
Deprecated.
`ZOMBIE`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static SkullType`
`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static SkullType[]`
`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SKELETON

public static final SkullType SKELETON
Deprecated.

### WITHER

public static final SkullType WITHER
Deprecated.

### ZOMBIE

public static final SkullType ZOMBIE
Deprecated.

### PLAYER

public static final SkullType PLAYER
Deprecated.

### CREEPER

public static final SkullType CREEPER
Deprecated.

### DRAGON

public static final SkullType DRAGON
Deprecated.

## Method Details

### values

public static SkullType[] values()
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SkullType valueOf(String name)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null